Page MenuHomeFreeBSD

New port: editors/picpas: Multi-platform Pascal for Microchip PIC16F microcontrollers
ClosedPublic

Authored by acm on Apr 30 2018, 2:55 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

The whole Makefile is badly ordered. Please read Chapter 15. Order of Variables in Port Makefiles.

picpas/Makefile
38 ↗(On Diff #42004)
GH_PROJECT=PicPas
linimon retitled this revision from New port: editors/picpas to New port: editors/picpas: Multi-platform Pascal for Microchip PIC16F microcontrollers.Aug 2 2018, 10:12 PM
  • Apply mat's suggestions

not adding FLAVORS, remove portmgr.

Makefile
37 ↗(On Diff #46242)

Default, remove.

39–42 ↗(On Diff #46242)
USE_FPC_gtk2=  cairo
USE_GNOME_gtk2= cairo
USE_FPC+= ${USE_FPC_${FLAVOR}}
USE_GNOME+= ${USE_GNOME_${FLAVOR}}
  • Apply mat's suggestions
acm marked 2 inline comments as done.Aug 6 2018, 6:46 PM
This revision was not accepted when it landed; it landed in state Needs Review.Aug 7 2018, 7:06 AM
Closed by commit rP476569: - New port: editors/picpas (authored by acm). · Explain Why
This revision was automatically updated to reflect the committed changes.
head/editors/picpas/Makefile
36–38

Wrong place in the Makefile, flavors helpers. See Chapter 15. Order of Variables in Port Makefiles.